## org.apache.fop.dom.svg
Class SVGAngleImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.svg.SVGAngleImpl

public class SVGAngleImpl
extends java.lang.Object
implements org.w3c.dom.svg.SVGAngle

SVG Angle.

Author:
  Keiron Liddle <keiron@aftexsw.com> modified Nov 14,2000 Mike Crowe <crowe@psilongbeach.com>, Fop internal representation of angles is in degrees, added convert before doing any trig function

Fields inherited from interface org.w3c.dom.svg.SVGAngle
`SVG_ANGLETYPE_DEG, SVG_ANGLETYPE_GRAD, SVG_ANGLETYPE_RAD, SVG_ANGLETYPE_UNKNOWN, SVG_ANGLETYPE_UNSPECIFIED`

Constructor Summary
`SVGAngleImpl()`

Method Summary
`void` `convertToSpecifiedUnits(short unitType)`
`float` `getAnimatedValue()`
`short` `getUnitType()`
`float` `getValue()`
`java.lang.String` `getValueAsString()`
`float` `getValueInSpecifiedUnits()`
`void` `newValueSpecifiedUnits(short unitType, float valueInSpecifiedUnits)`
`void` `setValue(float value)`
`void` `setValueAsString(java.lang.String valueAsString)` The following is from CR-SVG-20000802 4.1 Basic Data Types; <angle>: An angle value is a <number> optionally followed immediately with an angle unit identifier.
`void` `setValueInSpecifiedUnits(float valueInSpecifiedUnits)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGAngleImpl

    public SVGAngleImpl()

Method Detail

### getUnitType

    public short getUnitType()

  Specified by:
    getUnitType in interface org.w3c.dom.svg.SVGAngle

### getValue

    public float getValue()

  Specified by:
    getValue in interface org.w3c.dom.svg.SVGAngle

### setValue

    public void setValue(float value)

  Specified by:
    setValue in interface org.w3c.dom.svg.SVGAngle

### getValueInSpecifiedUnits

    public float getValueInSpecifiedUnits()

  Specified by:
    getValueInSpecifiedUnits in interface org.w3c.dom.svg.SVGAngle

### setValueInSpecifiedUnits

    public void setValueInSpecifiedUnits(float valueInSpecifiedUnits)

  Specified by:
    setValueInSpecifiedUnits in interface org.w3c.dom.svg.SVGAngle

### getValueAsString

    public java.lang.String getValueAsString()

  Specified by:
    getValueAsString in interface org.w3c.dom.svg.SVGAngle

### setValueAsString

    public void setValueAsString(java.lang.String valueAsString)

  The following is from CR-SVG-20000802 4.1 Basic Data Types; <angle>: An angle value is a <number> optionally followed immediately with an angle unit identifier. Angle unit identifiers are: deg: degrees m grad: grads m rad: radians m For properties defined in [CSS2], an angle unit identifier must be provided. For SVG-specific attributes and properties, the angle unit identifier is optional. If not provided, the angle value is assumed to be in degrees.
  Specified by:
    setValueAsString in interface org.w3c.dom.svg.SVGAngle

### getAnimatedValue

    public float getAnimatedValue()

### newValueSpecifiedUnits

    public void newValueSpecifiedUnits(short unitType,
                                       float valueInSpecifiedUnits)
                                throws org.w3c.dom.svg.SVGException

  Specified by:
    newValueSpecifiedUnits in interface org.w3c.dom.svg.SVGAngle

### convertToSpecifiedUnits

    public void convertToSpecifiedUnits(short unitType)
                                 throws org.w3c.dom.svg.SVGException

  Specified by:
    convertToSpecifiedUnits in interface org.w3c.dom.svg.SVGAngle

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.